ColumnType (base API)
Date: 2019-04-05

com.twosigma.beakerx.table

## Enum ColumnType

- java.lang.Object
- - java.lang.Enum<ColumnType>
  - - com.twosigma.beakerx.table.ColumnType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ColumnType>

      public enum ColumnType
      extends java.lang.Enum<ColumnType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Boolean`
    `Double`
    `Integer`
    `String`
    `Time`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getType()`
    `java.lang.String` | `toString()`
    `static ColumnType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ColumnType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### String

          public static final ColumnType String

    - #### Double

          public static final ColumnType Double

    - #### Time

          public static final ColumnType Time

    - #### Integer

          public static final ColumnType Integer

    - #### Boolean

          public static final ColumnType Boolean

  - ### Method Detail

    - #### values

          public static ColumnType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ColumnType c : ColumnType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ColumnType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public java.lang.String getType()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ColumnType>`